ಪಿಕ್ಸೆಲ್ಗಳು
GET https://tistos.com/api/pixels/
curl --request GET \
--url 'https://tistos.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| ಪ್ಯಾರಾಮೀಟರ್ಗಳು | ವಿವರಗಳು | ವಿವರಣೆ |
|---|---|---|
| search | ಆಯ್ಕೆಯಾದ ಸ್ಟ್ರಿಂಗ್ | ಶೋಧನೆ ಶ್ರೇಣಿಯು. |
| search_by | ಆಯ್ಕೆಯಾದ ಸ್ಟ್ರಿಂಗ್ | ನೀವು ಯಾವ ಕ್ಷೇತ್ರವನ್ನು ಹುಡುಕುತ್ತಿದ್ದೀರಿ. ಅನುಮತಿತ ಮೌಲ್ಯಗಳು: name, pixel. |
| type | ಆಯ್ಕೆಯಾದ ಸ್ಟ್ರಿಂಗ್ | ಅನುಮತಿತ ಮೌಲ್ಯಗಳು: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | ಆಯ್ಕೆಯಾದ ಸ್ಟ್ರಿಂಗ್ | ಅನುಮತಿತ ಮೌಲ್ಯಗಳು: datetime, last_datetime |
| datetime_start | ಆಯ್ಕೆಯಾದ ಸ್ಟ್ರಿಂಗ್ | ಈ ದಿನಾಂಕ ಮತ್ತು ಸಮಯದಿಂದ ಫಲಿತಾಂಶಗಳನ್ನು ಫಿಲ್ಟರ್ ಮಾಡಿ. ಸ್ವರೂಪ Y-m-d H:i:s. |
| datetime_end | ಆಯ್ಕೆಯಾದ ಸ್ಟ್ರಿಂಗ್ | ಈ ದಿನಾಂಕ ಮತ್ತು ಸಮಯದವರೆಗೆ ಫಲಿತಾಂಶಗಳನ್ನು ಫಿಲ್ಟರ್ ಮಾಡಿ. ಸ್ವರೂಪ Y-m-d H:i:s. |
| order_by | ಆಯ್ಕೆಯಾದ ಸ್ಟ್ರಿಂಗ್ | ಫಲಿತಾಂಶಗಳನ್ನು ಯಾವ ಕ್ಷೇತ್ರದಲ್ಲಿ ಆಜ್ಞೆ ನೀಡಬೇಕು. ಅನುಮತಿತ ಮೌಲ್ಯಗಳು: pixel_id, datetime, last_datetime, name. |
| order_type | ಆಯ್ಕೆಯಾದ ಸ್ಟ್ರಿಂಗ್ | ಫಲಿತಾಂಶಗಳ ಕ್ರಮ. ಅನುಮತಿತ ಮೌಲ್ಯಗಳು: ASC ಏರಿಕೆಯಲ್ಲಿ ಕ್ರಮಕ್ಕಾಗಿ, ಮತ್ತು DESC ಇಳಿಕೆಯಲ್ಲಿ ಕ್ರಮಕ್ಕಾಗಿ. |
| page | ಆಯ್ಕೆಯಾದ ಪೂರ್ಣಾಂಕ | ನೀವು ಫಲಿತಾಂಶಗಳನ್ನು ಬಯಸುವ ಪುಟದ ಸಂಖ್ಯೆ. ಡೀಫಾಲ್ಟ್ 1 ಗೆ. |
| results_per_page | ಆಯ್ಕೆಯಾದ ಪೂರ್ಣಾಂಕ | ನೀವು ಪ್ರತಿ ಪುಟಕ್ಕೆ ಎಷ್ಟು ಫಲಿತಾಂಶಗಳನ್ನು ಬಯಸುತ್ತೀರಿ. ಅನುಮತಿತ ಮೌಲ್ಯಗಳು: 10, 25, 50, 100, 250, 500, 1000. ಡೀಫಾಲ್ಟ್ 25 ಗೆ. |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-07-18 19:26:38",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/pixels?page=1",
"last": "https://tistos.com/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/pixels?page=1"
}
}
GET https://tistos.com/api/pixels/{pixel_id}
curl --request GET \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-07-18 19:26:38",
}
}
POST https://tistos.com/api/pixels
| ಪ್ಯಾರಾಮೀಟರ್ಗಳು | ವಿವರಗಳು | ವಿವರಣೆ |
|---|---|---|
| type | ಅವಶ್ಯಕ ಸ್ಟ್ರಿಂಗ್ | ಅನುಮತಿತ ಮೌಲ್ಯಗಳು: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | ಅವಶ್ಯಕ ಸ್ಟ್ರಿಂಗ್ | - |
| pixel | ಅವಶ್ಯಕ ಸ್ಟ್ರಿಂಗ್ | - |
curl --request POST \
--url 'https://tistos.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://tistos.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/pixels/{pixel_id}
| ಪ್ಯಾರಾಮೀಟರ್ಗಳು | ವಿವರಗಳು | ವಿವರಣೆ |
|---|---|---|
| type | ಆಯ್ಕೆಯಾದ ಸ್ಟ್ರಿಂಗ್ | ಅನುಮತಿತ ಮೌಲ್ಯಗಳು: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | ಆಯ್ಕೆಯಾದ ಸ್ಟ್ರಿಂಗ್ | - |
| pixel | ಆಯ್ಕೆಯಾದ ಸ್ಟ್ರಿಂಗ್ | - |
curl --request POST \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \